Frequency Count of Scores
========================
### Overview

The `frequency_count_of_scores` function calculates the frequency count of scores for legitimate and illegitimate users. This function is based on the paper [https://par.nsf.gov/biblio/10091768](https://par.nsf.gov/biblio/10091768).

### Parameters

* `y_true`: A list of ground truth labels where 0 represents the positive class (legitimate user) and 1 represents the negative class (illegitimate user).
* `scores`: A list of confidence levels for the positive class of `y_true`.

### Returns

* A dictionary containing two lists:
	+ `legit_scores`: A list of scores for legitimate users.
	+ `illegit_scores`: A list of scores for illegitimate users.

### Example Usage
```python
y_true = [0, 1, 0, 1, 0, 0, 1, 1]
scores = [0.8, 0.2, 0.9, 0.1, 0.7, 0.6, 0.3, 0.4]
result = frequency_count_of_scores(y_true, scores)
print(result)
```
This would output:
```python
{
    'legit_scores': [0.8, 0.9, 0.7, 0.6],
    'illegit_scores': [0.2, 0.1, 0.3, 0.4]
}
```
### Notes

* The `y_true` list should contain only 0s and 1s, where 0 represents the positive class (legitimate user) and 1 represents the negative class (illegitimate user).
* The `scores` list should contain confidence levels for the positive class of `y_true`. These scores should be between 0 and 1, where 1 represents a high confidence level and 0 represents a low confidence level.
[Warning: Text generated by GPT@JRC using Generative AI technology - Please assess this text critically before using it]